Bug 58447 - as doesn't handle SSE registers the way gcc uses them
as doesn't handle SSE registers the way gcc uses them
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2002-01-16 17:28 EST by Bernhard Rosenkraenzer
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-18 12:55:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bzip2'ed preprocessor output (15.01 KB, application/octet-stream)
2002-01-16 17:30 EST, Bernhard Rosenkraenzer
no flags Details

  None (edit)
Description Bernhard Rosenkraenzer 2002-01-16 17:28:21 EST
Description of Problem:
Compiling SSE optimizable code with -msse fails: gcc uses "%xmm8" and
similar registers to address SSE registers, binutils doesn't handle them. Not 100% sure whether this is gcc's or as's fault.
Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Try compiling the attached preprocessor output with -msse

Actual Results:
/tmp/ccmnce33.s:264: Error: bad register name `%xmm8' [...]

Expected Results:

Additional Information:
Comment 1 Bernhard Rosenkraenzer 2002-01-16 17:30:39 EST
Created attachment 42636 [details]
bzip2'ed preprocessor output
Comment 2 Bernhard Rosenkraenzer 2002-01-18 11:51:33 EST
Just checked the spec, xmm8 is a x86-64 register, so it probably shouldn't be
used by -msse, making it a gcc bug.
Comment 3 Jakub Jelinek 2002-01-18 12:55:34 EST
Yeah, http://gcc.gnu.org/ml/gcc-patches/2002-01/msg01300.html
Comment 4 Jakub Jelinek 2002-02-01 11:23:48 EST
Fixed in gcc-3.1-0.19.

Note You need to log in before you can comment on or make changes to this bug.